import { StyleSheet, Dimensions } from 'react-native';
import { Colors } from '../../../../theme';
import { getFontSize } from 'src/utils';

export const styles = StyleSheet.create({
  tabBar: {
    backgroundColor: 'transparent',
    elevation: 0,
    shadowOpacity: 0,
    marginTop: 0,
    height: 42
  },
  tabLabel: {
    color: 'grey',
    fontSize: getFontSize(14),
    fontWeight: '700',
    padding: 8,
    width: Dimensions.get('window').width / 2,
    textAlign: 'center'
  },
  tabStyle: {
    padding: 0,
    marginHorizontal: 2
  },
  modal: {
    justifyContent: 'flex-end',
    margin: 0
  },
  modalContainer: {
    backgroundColor: 'white',
    borderRadius: 15,
    paddingHorizontal: 16,
    gap: 12,
    paddingTop: 12
  },
  dropdownWrapper: { gap: 4, flex: 1 },
  textSmall: {
    color: Colors.DARK_BLUE,
    fontWeight: '600',
    fontSize: 12
  },
  rowWrapper: {
    width: '100%',
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    gap: 16
  },
  optionsContainer: {
    gap: 16,
    marginBottom: 16
  },
  closeBtn: { backgroundColor: Colors.WHITE, borderColor: '#B7C6CB' },
  sceneContainer: {
    flex: 1,
    paddingVertical: 24,
    justifyContent: 'space-between'
  },
  row: { flexDirection: 'row', alignItems: 'center' },
  textBold: { fontSize: 12, fontWeight: '700', color: Colors.DARK_BLUE },
  multiOption: {
    paddingHorizontal: 12,
    paddingVertical: 8,
    justifyContent: 'space-between',
    flexDirection: 'row',
    alignItems: 'center'
  },
  optionText: { fontSize: 16, color: Colors.DARK_BLUE, flex: 1 },
  alignStyle: {
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center'
  },
  buttonWrapper: {
    width: '100%',
    height: 48
  },
  buttonLabel: {
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(12),
    fontWeight: '700',
    marginLeft: 15
  },
  textContainer: { flexDirection: 'row', alignItems: 'center', flexWrap: 'wrap', marginBottom: 12 },
  textWithIcon: { lineHeight: 26, fontSize: 12, color: Colors.DARK_BLUE, fontStyle: 'italic' },
  text: { fontSize: 12, color: Colors.DARK_BLUE, fontStyle: 'italic' },
  icon: {
    backgroundColor: Colors.WHITE,
    width: 26,
    height: 26,
    borderRadius: 13,
    alignItems: 'center',
    justifyContent: 'center',
    shadowColor: 'rgba(0, 0, 0, 0.2)',
    shadowOffset: { width: 0, height: 2 },
    shadowRadius: 4,
    shadowOpacity: 1,
    elevation: 8
  }
});
