import { StyleSheet, Platform } from 'react-native';
import { Colors } from 'src/theme';

export const styles = StyleSheet.create({
  container: {
    flex: 1
  },
  wrapper: {
    marginLeft: '5%',
    marginRight: '5%',
    alignItems: 'center'
  },
  map: {
    ...StyleSheet.absoluteFillObject
  },
  topRightButton: {
    top: 52,
    right: 16
  },
  bottomButton: {
    bottom: Platform.OS == 'android' ? 80 : 100,
    width: 42,
    height: 42,
    borderRadius: 21
  },
  bottomLeftButton: {
    left: 16
  },
  bottomRightButton: {
    right: 16
  },
  textClose: {
    fontSize: 12,
    color: 'white',
    fontWeight: '500',
    lineHeight: 14
  },
  cornerButton: {
    position: 'absolute',
    backgroundColor: Colors.WHITE,
    padding: 12,
    width: 48,
    height: 48,
    borderRadius: 24,
    alignItems: 'center',
    justifyContent: 'center',
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 1,
    },
    shadowOpacity: 0.25,
    shadowRadius: 1.5,
    elevation: 2,
  },
  topLeftButton: {
    top: 52,
    left: 16
  },
  closeLeftButton: {
    backgroundColor: 'rgba(33, 37, 41, 0.78)',
    paddingHorizontal: 12,
    paddingVertical: 8,
    width: 81,
    height: 36,
    borderRadius: 18,
    flexDirection: 'row',
    gap: 6
  },
  avatar: {
    borderRadius: 48 / 2,
    width: 48,
    height: 48,
    borderWidth: 2,
    borderColor: Colors.WHITE
  },
  searchContainer: {
    flexDirection: 'row',
    alignItems: 'center'
  },
  iconButton: {
    padding: 10
  },
  input: {
    flex: 1,
    height: 40,
    color: Colors.DARK_BLUE,
    fontWeight: '600'
  },
  customView: {
    width: 200,
    backgroundColor: Colors.WHITE,
    borderRadius: 8,
    shadowColor: '#212529',
    shadowOffset: { width: 0, height: 4 },
    shadowOpacity: 0.12,
    shadowRadius: 8,
    elevation: 5
  },
  calloutContainer: {
    alignItems: 'center',
    paddingVertical: 15,
    paddingHorizontal: 10
  },
  calloutImageContainer: {
    width: 38,
    height: 38,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: Colors.WHITE,
    borderRadius: 19,
    borderWidth: 2,
    borderColor: Colors.TEXT_GRAY,
    marginTop: -34
  },
  calloutTextContainer: {
    flex: 1,
    gap: 4,
    alignItems: 'center',
    marginVertical: 10
  },
  seriesName: {
    fontSize: 13,
    fontWeight: 'bold',
    color: Colors.DARK_BLUE,
    textAlign: 'center'
  },
  markerName: {
    fontSize: 12,
    color: Colors.DARK_BLUE,
    textAlign: 'center'
  },
  calloutButton: {
    paddingHorizontal: 12,
    paddingVertical: 6,
    backgroundColor: Colors.ORANGE,
    borderRadius: 6,
    height: 30,
    alignItems: 'center',
    justifyContent: 'center'
  },
  calloutButtonText: {
    color: 'white',
    fontSize: 12,
    fontWeight: 'bold'
  },
  completedContainer: { flexDirection: 'row', alignItems: 'center', gap: 6 },
  customCallout: {
    width: 200,
    backgroundColor: Colors.WHITE,
    shadowColor: '#212529',
    shadowOffset: { width: 0, height: 4 },
    shadowOpacity: 0.12,
    shadowRadius: 8,
    elevation: 5
  },
  tabs: {
    position: 'absolute',
    padding: 3,
    display: 'flex',
    alignItems: 'flex-end',
    justifyContent: 'flex-start',
    flexDirection: 'row',
    paddingRight: 55
  }
});
