import { StyleSheet, Platform } from 'react-native';
import { Colors } from '../../../../theme';

export const styles = StyleSheet.create({
  container: {
    ...StyleSheet.absoluteFillObject,
    alignItems: 'center',
    justifyContent: 'flex-end'
  },
  map: {
    ...StyleSheet.absoluteFillObject
  },
  cornerButton: {
    position: 'absolute',
    backgroundColor: Colors.WHITE,
    padding: 12,
    width: 48,
    height: 48,
    borderRadius: 24,
    alignItems: 'center',
    justifyContent: 'center',
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 1
    },
    shadowOpacity: 0.25,
    shadowRadius: 1.5,
    elevation: 2
  },
  topLeftButton: {
    top: 52,
    left: 16
  },
  closeLeftButton: {
    backgroundColor: 'rgba(33, 37, 41, 0.78)',
    paddingHorizontal: 12,
    paddingVertical: 8,
    width: 81,
    height: 36,
    borderRadius: 18,
    flexDirection: 'row',
    gap: 6
  },
  textClose: {
    fontSize: 12,
    color: 'white',
    fontWeight: '500',
    lineHeight: 14
  },
  topRightButton: {
    top: 52,
    right: 16
  },
  bottomButton: {
    bottom: 20,
    width: 42,
    height: 42,
    borderRadius: 21
  },
  bottomRightButton: {
    right: 16
  },
  bottomLeftButton: {
    left: 16
  },
  avatar: {
    borderRadius: 48 / 2,
    width: 48,
    height: 48,
    borderWidth: 2,
    borderColor: Colors.WHITE
  },
  location: {
    width: 18,
    height: 18,
    borderRadius: 9,
    borderColor: 'white',
    backgroundColor: '#ED9334'
  },
  searchContainer: {
    flexDirection: 'row',
    alignItems: 'center'
  },
  iconButton: {
    padding: 10
  },
  input: {
    flex: 1,
    height: 40,
    color: Colors.DARK_BLUE,
    fontWeight: '600'
  },
  tabs: {
    position: 'absolute',
    padding: 3,
    bottom: 20,
    display: 'flex',
    alignItems: 'flex-end',
    justifyContent: 'flex-start',
    flexDirection: 'row'
  },
});
