import { Dimensions, StyleSheet } from 'react-native';
import { Colors } from '../../../../theme';
import { getFontSize } from 'src/utils';

export const styles = StyleSheet.create({
  listContainer: {
    paddingTop: 12
    // paddingBottom: 20,
  },
  searchContainer: {
    paddingBottom: 6
  },
  card: {
    borderRadius: 8,
    marginBottom: 16,
    flexDirection: 'row',
    alignItems: 'center',
    gap: 10
  },
  imageWrapper: {
    position: 'relative'
  },
  image: {
    width: 86,
    height: 86,
    borderRadius: 8
  },
  iconOverlay: {
    position: 'absolute',
    top: 0,
    left: 0,
    width: 20,
    height: 20,
    backgroundColor: Colors.ORANGE,
    borderTopLeftRadius: 8,
    borderBottomRightRadius: 8,
    justifyContent: 'center',
    alignItems: 'center'
  },
  info: {
    flex: 1,
    paddingVertical: 5,
    gap: 5
  },
  title: {
    fontSize: getFontSize(16),
    fontFamily: 'montserrat-700',
    lineHeight: 16,
    color: Colors.DARK_BLUE
  },
  dateAndLocation: {
    fontSize: getFontSize(12),
    fontWeight: '600',
    color: Colors.DARK_BLUE
  },
  spots: {
    fontSize: 14,
    color: '#FF5E00',
    marginTop: 2
  },
  statusBadge: {
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: Colors.DARK_BLUE,
    borderTopRightRadius: 8,
    borderBottomRightRadius: 8,
    width: 23,
    height: '100%'
  },
  fullBadge: {
    backgroundColor: Colors.DARK_BLUE
  },
  tourBadge: {
    backgroundColor: Colors.ORANGE
  },
  rotatedContainer: {
    transform: [{ rotate: '-90deg' }],
    justifyContent: 'center',
    alignItems: 'center',
    height: 23,
    width: 80
  },

  statusText: {
    color: Colors.WHITE,
    fontSize: getFontSize(16),
    fontFamily: 'montserrat-700',
    textAlign: 'center'
  },
  row: { flexDirection: 'row', gap: 6, alignItems: 'center' }
});
