import { create } from 'zustand';

interface AvatarState {
  avatarVersion: number;
  incrementAvatarVersion: () => void;
}

export const useAvatarStore = create<AvatarState>((set) => ({
  avatarVersion: 0,
  incrementAvatarVersion: () => set((state) => ({ avatarVersion: state.avatarVersion + 1 }))
}));
